org.mariadb.jdbc.internal.com.read.resultset.rowprotocol

## Class TextRowProtocol

- java.lang.Object
- - org.mariadb.jdbc.internal.com.read.resultset.rowprotocol.RowProtocol
  - - org.mariadb.jdbc.internal.com.read.resultset.rowprotocol.TextRowProtocol

    public class TextRowProtocol
    extends RowProtocol

### Field Summary

### Fields inherited from class org.mariadb.jdbc.internal.com.read.resultset.rowprotocol.RowProtocol

`buf, index, length, maxFieldSize, NULL_LENGTH, pos`

### Constructor Summary

Constructors
Constructor and Description
`TextRowProtocol(int maxFieldSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `setPosition(int newIndex)` Set length and pos indicator to asked index.

### Methods inherited from class org.mariadb.jdbc.internal.com.read.resultset.rowprotocol.RowProtocol

`getLengthMaxFieldSize, getMaxFieldSize, resetRow`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextRowProtocol

    public TextRowProtocol(int maxFieldSize)

### Method Detail

#### setPosition

    public boolean setPosition(int newIndex)

Set length and pos indicator to asked index.

Specified by:
  `setPosition` in class `RowProtocol`
Parameters:
  `newIndex` - index (0 is first).
Returns:
  true if value is null